libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
osmo_gprs_cell_options Struct Reference

`#include <gsm_44_060.h>`

## Data Fields
enum osmo_gprs_nmo | nmo
uint32_t | t3168
uint32_t | t3192
uint32_t | drx_timer_max
uint32_t | bs_cv_max
uint8_t | supports_egprs_11bit_rach
bool | ctrl_ack_type_use_block
uint8_t | ext_info_present
struct {
uint8_t egprs_supported
uint8_t use_egprs_p_ch_req
uint8_t bep_period
uint8_t pfc_supported
uint8_t dtm_supported
uint8_t bss_paging_coordination
bool ccn_active
} | ext_info

## Field Documentation

## ◆ bep_period

uint8_t osmo_gprs_cell_options::bep_period

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ bs_cv_max

uint32_t osmo_gprs_cell_options::bs_cv_max

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ bss_paging_coordination

uint8_t osmo_gprs_cell_options::bss_paging_coordination

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ ccn_active

bool osmo_gprs_cell_options::ccn_active

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ ctrl_ack_type_use_block

bool osmo_gprs_cell_options::ctrl_ack_type_use_block

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ drx_timer_max

uint32_t osmo_gprs_cell_options::drx_timer_max

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ dtm_supported

uint8_t osmo_gprs_cell_options::dtm_supported

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ egprs_supported

uint8_t osmo_gprs_cell_options::egprs_supported

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆

struct { ... } osmo_gprs_cell_options::ext_info

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ ext_info_present

uint8_t osmo_gprs_cell_options::ext_info_present

Referenced by append_gprs_cell_opt().

## ◆ nmo

enum osmo_gprs_nmo osmo_gprs_cell_options::nmo

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ pfc_supported

uint8_t osmo_gprs_cell_options::pfc_supported

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ supports_egprs_11bit_rach

uint8_t osmo_gprs_cell_options::supports_egprs_11bit_rach

## ◆ t3168

uint32_t osmo_gprs_cell_options::t3168

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ t3192

uint32_t osmo_gprs_cell_options::t3192

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

## ◆ use_egprs_p_ch_req

uint8_t osmo_gprs_cell_options::use_egprs_p_ch_req

Referenced by append_gprs_cell_opt(), and decode_gprs_cell_opt().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_44_060.h